/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2dot.gameserver.handler.voicedcommandhandlers;

import com.l2dot.gameserver.cache.HtmCache;
import com.l2dot.gameserver.handler.IVoicedCommandHandler;
import com.l2dot.gameserver.model.actor.instance.L2PcInstance;
import com.l2dot.gameserver.network.serverpackets.NpcHtmlMessage;

public class Donate implements IVoicedCommandHandler
{
	private static String[]	VOICED_COMMANDS	= { "donate" };
											
	/* (non-Javadoc)
	* @see com.l2dot.gameserver.handler.IVoicedCommandHandler#useVoicedCommand(java.lang.String, com.l2dot.gameserver.model.actor.instance.L2PcInstance, java.lang.String)
	*/
	public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
	{
		String htmFile = "data/html/mods/donate.htm";
		String htmContent = HtmCache.getInstance().getHtm(htmFile);
		if (htmContent != null)
		{
			NpcHtmlMessage infoHtml = new NpcHtmlMessage(1);
			infoHtml.setHtml(htmContent);
			activeChar.sendPacket(infoHtml);
		}
		else
		{
			activeChar.sendMessage("Sorry, but this command is currently not available!");
		}
		return true;
	}

	public String[] getVoicedCommandList()
	{
		return VOICED_COMMANDS;
	}
}